
Katello - Bug #5737

Index methods should be properly scoped by organization under new permission system.
Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1099642 Red Hat JIRA:  

Pull request:    

Description

Associated revisions

Revision 256314c0 - 05/21/2014 11:38 AM - Thomas McKay

fixes #5737 - corrected multiple index controllers

Revision b34ab8f1 - 05/21/2014 02:04 PM - Thomas McKay

Merge pull request #4124 from thomasmckay/5737-index

fixes #5737 - corrected multiple index controllers

History

#1 - 05/20/2014 05:53 PM - Eric Helms

- Subject changed from Index methods should be scoped by organization_id when present under new permission system. to Index methods should be

properly scoped by organization under new permission system.

During the permission system transition, the reliance on current organization was removed from the authorization layer. Thus, all controllers expected

to be scoped by organization need to ensure that it is both present and correctly handled by the index methods.

#2 - 05/20/2014 07:58 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1099642

#3 - 05/20/2014 08:19 PM - Thomas McKay

- Assignee changed from Eric Helms to Thomas McKay

#4 - 05/21/2014 02:52 PM - Thomas McKay

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:256314c0fc698280936e05d75da0747b0b803814.

#5 - 08/22/2014 08:24 AM - Eric Helms

- translation missing: en.field_release set to 13
